com.smartgwt.client.util.workflow

## Class GetPropertiesTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.GetPropertiesTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class GetPropertiesTask
      extends ComponentTask

  Gets the value properties from a component and makes them available within the workflow as the `last task output`. Using `bindOutput`, these values can also be placed into the `process state`.

  For a canvas the `componentId` specifies everything necessary to identify the target. For a form control more information is needed. The `componentId` identifies the container (i.e. DynamicForm) and the individual field is specified as `targetFieldName`.

  The next task might be a save operation on a DataSource, or SetPropertiesTask to copy settings from one component to another.

  GetPropertiesTask is an advanced and rarely used task. If you need a component property to be dynamic, you can configure that property as a Dynamic Property without the need for a Workflow. Dynamic Properties created this way automatically update as your users make changes.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPropertiesTask()`
    `GetPropertiesTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `static GetPropertiesTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String[]` | `getProperties()` Properties to be retrieved from `componentId`.
    `java.lang.String` | `getTargetFieldName()` If `componentId` targets a DynamicForm, this property specifies the name of the target field.
    `GetPropertiesTask` | `setProperties(java.lang.String... properties)` Properties to be retrieved from `componentId`.
    `GetPropertiesTask` | `setTargetFieldName(java.lang.String targetFieldName)` If `componentId` targets a DynamicForm, this property specifies the name of the target field.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetPropertiesTask

          public GetPropertiesTask()

    - #### GetPropertiesTask

          public GetPropertiesTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static GetPropertiesTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setProperties

          public GetPropertiesTask setProperties(java.lang.String... properties)
                                          throws java.lang.IllegalStateException

      Properties to be retrieved from `componentId`.
      Parameters:
        `properties` - New properties value. Default value is null
      Returns:
        `GetPropertiesTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getProperties

          public java.lang.String[] getProperties()

      Properties to be retrieved from `componentId`.
      Returns:
        Current properties value. Default value is null

    - #### setTargetFieldName

          public GetPropertiesTask setTargetFieldName(java.lang.String targetFieldName)
                                               throws java.lang.IllegalStateException

      If `componentId` targets a DynamicForm, this property specifies the name of the target field.
      Parameters:
        `targetFieldName` - New targetFieldName value. Default value is null
      Returns:
        `GetPropertiesTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `FieldName`

    - #### getTargetFieldName

          public java.lang.String getTargetFieldName()

      If `componentId` targets a DynamicForm, this property specifies the name of the target field.
      Returns:
        Current targetFieldName value. Default value is null
      See Also:
        `FieldName`